<?php
/* Smarty version 3.1.36, created on 2020-07-26 05:11:38
  from '/home/elitecustomessay/public_html/prox-templates/checkout/stripe.order.tpl' */

/* @var Smarty_Internal_Template $_smarty_tpl */
if ($_smarty_tpl->_decodeProperties($_smarty_tpl, array (
  'version' => '3.1.36',
  'unifunc' => 'content_5f1d48ca2665d6_35974965',
  'has_nocache_code' => false,
  'file_dependency' => 
  array (
    '1b54a33c5c882f74b37d400370634b5a2c5d3c6b' => 
    array (
      0 => '/home/elitecustomessay/public_html/prox-templates/checkout/stripe.order.tpl',
      1 => 1595707195,
      2 => 'file',
    ),
  ),
  'includes' => 
  array (
    'file:_partials/head.tpl' => 1,
    'file:_partials/javascript.tpl' => 1,
  ),
),false)) {
function content_5f1d48ca2665d6_35974965 (Smarty_Internal_Template $_smarty_tpl) {
$_smarty_tpl->_loadInheritance();
$_smarty_tpl->inheritance->init($_smarty_tpl, false);
?>
<!doctype html>
<html lang="en">
    <head>
        <?php 
$_smarty_tpl->inheritance->instanceBlock($_smarty_tpl, 'Block_3133597515f1d48ca250f16_26929416', 'head');
?>

        <link rel="canonical" href="/dashboard/authorization/">
    </head>
<body>

    <div class="form-container">
        <form action="/api/payment/stripe?handle=order&order_id=<?php echo htmlspecialchars($_smarty_tpl->tpl_vars['order']->value['id'], ENT_QUOTES, 'UTF-8');?>
" method="post" id="payment-form">
            <div class="form-header">
                <h1 class="Header-companyName"><?php echo htmlspecialchars($_smarty_tpl->tpl_vars['site_title']->value, ENT_QUOTES, 'UTF-8');?>
</h1>
                <h2 class="Header-purchaseDescription"><?php echo htmlspecialchars($_smarty_tpl->tpl_vars['order']->value['paper_type_title'], ENT_QUOTES, 'UTF-8');?>
</h2>
            </div>
            <div class="form-body">
                <div class="form-row">
                    <label class="form-label" for="card-element">Credit or debit card</label>
                    <div id="card-element"></div>                  
                </div>        
                <!-- Used to display form errors -->
                <div id="card-errors" role="alert"></div>
                <button class="pay_btn" type="submit">Pay <?php echo htmlspecialchars($_smarty_tpl->tpl_vars['price_formatted']->value, ENT_QUOTES, 'UTF-8');?>
</button>
                <a class="back_to_order" href="/dashboard/order/<?php echo htmlspecialchars($_smarty_tpl->tpl_vars['order']->value['id'], ENT_QUOTES, 'UTF-8');?>
">Back to Order</a>
            </form>
        </form> 
    </div>

    <?php echo '<script'; ?>
>window.jQuery || document.write('<?php echo '<script'; ?>
 src="/static/common/libs/jquery/3.2.1/jquery.min.js"><\/script>')<?php echo '</script'; ?>
>
    <?php echo '<script'; ?>
 src='https://js.stripe.com/v3/' type='text/javascript'><?php echo '</script'; ?>
>
    <?php 
$_smarty_tpl->inheritance->instanceBlock($_smarty_tpl, 'Block_11848630965f1d48ca25eef6_76024978', 'javascript_bottom');
?>


    <?php echo '<script'; ?>
 type="text/javascript">
        document.addEventListener("DOMContentLoaded", function(event) {
            var stripe = Stripe('<?php echo htmlspecialchars($_smarty_tpl->tpl_vars['stripe_key']->value, ENT_QUOTES, 'UTF-8');?>
'); 
            var elements = stripe.elements();

            var card = elements.create('card');
            // Add an instance of the card UI component into the `card-element` <div>
            card.mount('#card-element');

            // Handle events and errors
            card.addEventListener('change', function(event) {
                var displayError = document.getElementById('card-errors');
                if (event.error) {
                    displayError.textContent = event.error.message;
                } else {
                    displayError.textContent = '';
                }
            });

            function stripeTokenHandler(token) {
                // Insert the token ID into the form so it gets submitted to the server
                var form = document.getElementById('payment-form');
                var hiddenInput = document.createElement('input');
                hiddenInput.setAttribute('type', 'hidden');
                hiddenInput.setAttribute('name', 'stripeToken');
                hiddenInput.setAttribute('value', token.id);
                form.appendChild(hiddenInput);

                // Submit the form
                form.submit();
            }

            function createToken() {
                stripe.createToken(card).then(function(result) {
                    if (result.error) {
                        // Inform the user if there was an error
                        var errorElement = document.getElementById('card-errors');
                        errorElement.textContent = result.error.message;
                    } else {
                        // Send the token to your server
                        stripeTokenHandler(result.token);
                    }
                });
            };

            // Create a token when the form is submitted.
            var form = document.getElementById('payment-form');
            form.addEventListener('submit', function(e) {
                e.preventDefault();
                createToken();
            });
        });
    <?php echo '</script'; ?>
>
</body>
</html><?php }
/* {block 'head'} */
class Block_3133597515f1d48ca250f16_26929416 extends Smarty_Internal_Block
{
public $subBlocks = array (
  'head' => 
  array (
    0 => 'Block_3133597515f1d48ca250f16_26929416',
  ),
);
public function callBlock(Smarty_Internal_Template $_smarty_tpl) {
?>

            <?php $_smarty_tpl->_subTemplateRender('file:_partials/head.tpl', $_smarty_tpl->cache_id, $_smarty_tpl->compile_id, 0, $_smarty_tpl->cache_lifetime, array(), 0, false);
?>
        <?php
}
}
/* {/block 'head'} */
/* {block 'javascript_bottom'} */
class Block_11848630965f1d48ca25eef6_76024978 extends Smarty_Internal_Block
{
public $subBlocks = array (
  'javascript_bottom' => 
  array (
    0 => 'Block_11848630965f1d48ca25eef6_76024978',
  ),
);
public function callBlock(Smarty_Internal_Template $_smarty_tpl) {
?>

        <?php $_smarty_tpl->_subTemplateRender("file:_partials/javascript.tpl", $_smarty_tpl->cache_id, $_smarty_tpl->compile_id, 0, $_smarty_tpl->cache_lifetime, array('javascript'=>$_smarty_tpl->tpl_vars['javascript']->value['bottom']), 0, false);
?>
    <?php
}
}
/* {/block 'javascript_bottom'} */
}
