<?php
/* Smarty version 3.1.36, created on 2020-10-09 07:50:36
  from '/home/elitecustomessay/public_html/prox-modules/stripe/views/stripe.order.tpl' */

/* @var Smarty_Internal_Template $_smarty_tpl */
if ($_smarty_tpl->_decodeProperties($_smarty_tpl, array (
  'version' => '3.1.36',
  'unifunc' => 'content_5f804e8c3fa947_11631584',
  'has_nocache_code' => false,
  'file_dependency' => 
  array (
    '483dc46b3fc3c4d07bbe3d47d249400c560fc0e5' => 
    array (
      0 => '/home/elitecustomessay/public_html/prox-modules/stripe/views/stripe.order.tpl',
      1 => 1601701317,
      2 => 'file',
    ),
  ),
  'includes' => 
  array (
  ),
),false)) {
function content_5f804e8c3fa947_11631584 (Smarty_Internal_Template $_smarty_tpl) {
?><div class="form-container">
    <form action="/api/payment/stripe" method="post" id="payment-form">
        <input type="hidden" name="handle" value="order">
        <input type="hidden" name="nodeId" value="<?php echo htmlspecialchars($_smarty_tpl->tpl_vars['order']->value['id'], ENT_QUOTES, 'UTF-8');?>
">
        <input type="hidden" name="idempotency_key" id="idempotency_key" value="<?php echo htmlspecialchars($_smarty_tpl->tpl_vars['idempotency_key']->value, ENT_QUOTES, 'UTF-8');?>
">
        <div class="form-header">
            <h1 class="Header-companyName"><?php echo htmlspecialchars($_smarty_tpl->tpl_vars['siteName']->value, ENT_QUOTES, 'UTF-8');?>
</h1>
            <h2 class="Header-purchaseDescription"><?php echo htmlspecialchars($_smarty_tpl->tpl_vars['title']->value, ENT_QUOTES, 'UTF-8');?>
</h2>
        </div>
        <div class="form-body">
            <div class="form-row">
                <label class="form-label" for="card-element">Credit or debit card</label>
                <div id="card-element"></div>                  
            </div>        
            <!-- Used to display form errors -->
            <div id="card-errors" role="alert"></div>
            <button id="stripeJSPayButton" class="pay_btn" type="submit">Pay <?php echo htmlspecialchars($_smarty_tpl->tpl_vars['price_formatted']->value, ENT_QUOTES, 'UTF-8');?>
</button>
            <a class="back_to_order" href="/dashboard/order/<?php echo htmlspecialchars($_smarty_tpl->tpl_vars['order']->value['id'], ENT_QUOTES, 'UTF-8');?>
">Back to Order</a>
        </form>
    </form> 
</div> 

<?php echo '<script'; ?>
 src='https://js.stripe.com/v3/' type='text/javascript'><?php echo '</script'; ?>
>

<?php echo '<script'; ?>
 type="text/javascript">
    document.addEventListener("DOMContentLoaded", function(event) {
        var stripe = Stripe('<?php echo htmlspecialchars($_smarty_tpl->tpl_vars['stripe_key']->value, ENT_QUOTES, 'UTF-8');?>
'); 
        var elements = stripe.elements();

        var card = elements.create('card');
        // Add an instance of the card UI component into the `card-element` <div>
        card.mount('#card-element');

        // Handle events and errors
        card.addEventListener('change', function(event) {
            var displayError = document.getElementById('card-errors');
            if (event.error) {
                displayError.textContent = event.error.message;
                document.getElementById('stripeJSPayButton').disabled = false;
            } else {
                displayError.textContent = '';
            }
        });

        function stripeTokenHandler(token) {
            // Insert the token ID into the form so it gets submitted to the server
            var form = document.getElementById('payment-form');
            var hiddenInput = document.createElement('input');
            hiddenInput.setAttribute('type', 'hidden');
            hiddenInput.setAttribute('name', 'stripeToken');
            hiddenInput.setAttribute('value', token.id);
            form.appendChild(hiddenInput);

            // Submit the form
            form.submit();
        }

        function createToken() {
            stripe.createToken(card).then(function(result) {
                if (result.error) {
                    // Inform the user if there was an error
                    var errorElement = document.getElementById('card-errors');
                    errorElement.textContent = result.error.message;
                    document.getElementById('stripeJSPayButton').disabled = false;
                } else {
                    // Send the token to your server
                    stripeTokenHandler(result.token);
                }
            });
        };

        // Create a token when the form is submitted.
        var form = document.getElementById('payment-form');
        form.addEventListener('submit', function(e) {
            e.preventDefault();
            document.getElementById('stripeJSPayButton').disabled = true;
            createToken();
        });
    });
<?php echo '</script'; ?>
><?php }
}
